package io.gmss.fiscad.paylaods.response.restoration;

import io.gmss.fiscad.enums.RoleActeur;
import io.gmss.fiscad.enums.TypeDroit;
import jakarta.persistence.EnumType;
import jakarta.persistence.Enumerated;


public interface ActeurConcernePayLoad {
    public Long getIdBackend();

    public Long getExternalKey();

    public float getPart();

    @Enumerated(EnumType.STRING)
    public TypeDroit getTypeDroit();

    public Long getEnqueteId();

    public Long getPositionRepresentationId();

    public Long getPersonneId();

    public Long getTypeRepresentationId();

    public Long getTypeContestationId();

    @Enumerated(EnumType.STRING)
    public RoleActeur getRoleActeur();

    public boolean getSynchronise();

    public String getObservation();

    public Long getTerminalId();

    public Long getBlocId();

    public int getHaveDeclarant();

    public Long getMax_numero_acteur_concerne_id();

}
